Release:library not found for -lPods-AFNetworking

有个非常奇怪的问题,我的项目以前一直运行正常。

今天pod install了下,Scheme选为Build 运行正常。

把Scheme选为Release报错。

以下是错误信息:

这是我的环境

Mac OS Yosemite 10.10.5

Xcode 6.4

iOS SDK 8.4

这是我的pods

platform:ios,7.0

pod “AFNetworking”,”~>2.5.2″

pod “SDWebImage”, “~> 3.7.2”

pod “MJRefresh”,”~> 1.4.7″

pod “MJExtension”, “~> 2.1.1”

pod “IQKeyboardManager”,”~>3.2.4″

我试过

pod install 和清空项目

把 “Build Active Architecture Only” = YES

重装cocoapods

清空 DerivedData

但并没有什么用,谁能帮助我,非常感谢!

是因为 cocoapods 升级后格式变了, 从某个版本开始, 在 builldsetting -> other linker flags 把-lPods-AFNetworking 改成 -l"AFNetworking", 其他的一样。 你先把所有的库移除掉再重新 pod install 也可以

我的做法是

  1. 在 builldsetting -> other linker flags加入 $inherited

  2. 加入-l”AFNetworking”

  3. 重新pod install

希望对需要的人有帮助

发表评论

电子邮件地址不会被公开。 必填项已用*标注